org.bdgenomics.adam.rdd

# ADAMContext

###
Related Docs: class ADAMContext | package rdd

#### object ADAMContext extends Serializable

This singleton provides an implicit conversion from a SparkContext to the ADAMContext, as well as implicit functions for the Pipe API.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### implicit def fragmentsToReadsConversionFn(fRdd: FragmentRDD, rdd: RDD[AlignmentRecord]): AlignmentRecordRDD

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### implicit def rddToADAMRDD[T](rdd: RDD[T])(implicit ev1: (T) ⇒ IndexedRecord, ev2: Manifest[T]): ConcreteADAMRDDFunctions[T]

17. #### implicit def readsToVCConversionFn(arRdd: AlignmentRecordRDD, rdd: RDD[VariantContext]): VariantContextRDD

18. #### implicit def recordToRichRecord(record: AlignmentRecord): RichAlignmentRecord

19. #### implicit def sameTypeConversionFn[T, U <: GenomicRDD[T, U]](gRdd: U, rdd: RDD[T]): U

20. #### implicit def sparkContextToADAMContext(sc: SparkContext): ADAMContext

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped